> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/17.-zapros-poluchit-soildatasets.md).

# 17. Запрос: Получить "SoilDatasets"

Получите все "SoilDatasets" для выбранного "поля". Наборы данных можно извлечь с помощью общих GraphQL-запросов, таких как `getFarms` и `getFields` из привязанного "поля".&#x20;

{% hint style="warning" %}
Файл "SoilDataset" должен быть загружен заранее.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #шаблон "<OperationType> <YYYY-mm-DD>"
        operationId #если существует
        number #общее количество геообъектов
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #полные сведения по каждому атрибуту
          name #ссылка на статистику >> атрибут
          transliteratedName
          fullName #если существует
          unit #если существует
        }

        createdDate #дата и время создания сущности в GeoPard
        updatedDate #дата и время последнего обновления
        operationType
        operationId
        operationFileDate #дата и время создания файла
        operationStartDate #начало операции
        
        statistics { #распределение статистики для каждого почвенного атрибута
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          короткоеИмя
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        название  
        operationId #если существует 
        number #общее количество геообъектов 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #ссылка на статистику >> атрибут
          transliteratedName
          fullName #если существует
          unit #если существует
        }
      
        createdDate #дата и время создания в GeoPard
        updatedDate #дата и время последнего обновления в GeoPard
        operationFileDate #дата и время создания файла (если существует)
        operationStartDate #начало операции (если существует)
      
        statistics { #статистическое распределение по каждому почвенному атрибуту
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #визуальное представление
          url
          короткоеИмя
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/17.-zapros-poluchit-soildatasets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
